### Class

# Snapd Slot

since: 1.0

#### Description [src]

    final class Snapd.Slot : GObject.Object
    {
      /* No available fields */
    }

`SnapdSlot` contains information about a Snap slot.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_slot_get_attribute

Get an attribute for this interface.

since: 1.3

###### snapd_slot_get_attribute_names

Get the names of the attributes this slot has.

since: 1.3

###### snapd_slot_get_connected_plugs

Get the plugs connected to this slot.

since: 1.48

###### snapd_slot_get_connections

Get the connections being made with this slot.

deprecated: 1.48 since: 1.0

###### snapd_slot_get_interface

Get the name of the interface this slot accepts.

since: 1.0

###### snapd_slot_get_label

Get a human readable label for this slot.

since: 1.0

###### snapd_slot_get_name

Get the name of this slot.

since: 1.0

###### snapd_slot_get_snap

Get the snap this slot is on.

since: 1.0

###### snapd_slot_has_attribute

Check if this slot has an attribute.

since: 1.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Slot:attributes

No description available.

###### Snapd.Slot:connections

No description available.

###### Snapd.Slot:interface

No description available.

###### Snapd.Slot:label

No description available.

###### Snapd.Slot:name

No description available.

###### Snapd.Slot:snap

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdSlotClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.